| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Member Functions | List of all members
Digikam::CameraType Class Reference

## Public Member Functions
| CameraType (const CameraType &ctype)
| CameraType (const QString &title, const QString &model, const QString &port, const QString &path, int startingNumber, QAction *const action=nullptr)
QAction * | action () const
ImportUI * | currentImportUI () const
QString | model () const
CameraType & | operator= (const CameraType &type)
QString | path () const
QString | port () const
void | setAction (QAction *const action)
void | setCurrentImportUI (ImportUI *const importui)
void | setModel (const QString &model)
void | setPath (const QString &path)
void | setPort (const QString &port)
void | setStartingNumber (int sn)
void | setTitle (const QString &title)
void | setValid (bool valid)
int | startingNumber () const
QString | title () const
bool | valid () const